//
//  NSURLConnection_ext.h
//  OnFlAppFoundation
//
//  Created by Ondrej Florian on 22/10/2010.
//  Copyright 2010 OnFlApp. All rights reserved.
//

#import <Foundation/Foundation.h>

void store_url (id url, NSString* path, id object, SEL action);
NSURLConnection* get_url (id url, id object, SEL action);
NSURLConnection* post_url (NSURL* url, NSData* data, id object, SEL action);
NSData* get_url_sync (id url);
NSData* post_url_sync (id url, NSData* data);

@interface __URLConnectionProxy : NSObject {
	SEL action;
	NSMutableData* buff;
	NSOutputStream* fout; 
	id object;
}
@end

@interface NSURLConnection (NSURLConnection_ext)
+ (NSURLConnection*) connectionWithRequest:(NSURLRequest *)request selector:(SEL) action  object:(id) object;
+ (NSURLConnection*) connectionWithRequest:(NSURLRequest *)request path:(NSString*) path selector:(SEL) action  object:(id) object;
@end
